過去ログ表示


過去ログ 314 を表示

トピック内全 5 記事中の 1 〜 5 番目を表示
[ 最新記事及び返信フォームをトピックトップへ ]
このトピックの全ページ / [0]

プラグインのアップデートに関して
(#48590) このトピック中1番目の投稿
(環境: WinXP SP3/Firefox3.5)

はじめまして。質問させてください。

Javaのアップデートが通知されたため、自動アップデートを実行しました。
その後、Firefox3.5.2のツール→アドオンからプラグインの画面を確認したのですが、
Java Deployment Toolkit(NPRuntime Script Plug-in Library for Java(TM) Deploy)が、最新バージョンと旧バージョンの両方ともに表示されていました。
そこで、C:\Program Files\Mozilla Firefox\pluginsフォルダ内のnpdeploytk.dllのファイルバージョンを確認してみたのですが、
ファイルバージョンは、最新のものになっていました。
結局、旧バージョンを消去する方法が分からなかったため、プログラムの追加と削除から、Javaそのものを一度アンインストールして、
再インストールし直してみたところ、最新バージョンのみが表示されるようになりました。
ただ、次回以降もJavaのアンインストール→再インストールを繰り返すのは、少々手間が掛かってしまいます。
どうにかプラグインの画面から、Java Deployment Toolkitの旧バージョンを消去する方法はないでしょうか?

どうぞよろしくお願いいたします。

Re: プラグインのアップデートに関して
(#48592) このトピック中2番目の投稿
(環境: WinXP SP3/Minefield)

Javaの仕様なのか、アップデートで旧バージョンが削除されないので、どんどんたまっていきます。

とりあえず、アップデートする前に旧バージョンを削除する以外にないように思います。

Re: プラグインのアップデートに関して
(#48593) このトピック中3番目の投稿
(環境: WinXP SP3/Firefox3.5/Thunderbird2.0)

> Javaの仕様なのか、アップデートで旧バージョンが削除されないので、どんどんたまっていきます。
>
> とりあえず、アップデートする前に旧バージョンを削除する以外にないように思います。

返信ありがとうございます。

言葉が足らずに大変申し訳ありません。
Javaをインストールすると、Firefoxのプラグイン画面には、
・Java Deployment Toolkit(NPRuntime Script Plug-in Library for Java(TM) Deploy)
・Java(TM) Platform SE(Next Generation Java Plug-in バージョン for Mozilla browsers)
の両方が表示されると思うのですが、Java(TM) Platform SEに関しては、プラグイン画面には最新バージョンしか表示されないのです。
Java Deployment Toolkitのみ、最新バージョンと旧バージョンの両方が表示されている状態です。
また、Javaをアップデートすると、確かに以前は旧バージョンが削除されないで残っていたのですが、
最近は旧バージョンが削除されているようで、プログラムの追加と削除の画面には最新バージョンのJavaしかインストールされていないのです。

読みにくい文章で本当に申し訳ありません。
やはり、アンインストール→再インストールしか手がないのでしょうか?
どうぞよろしくお願いいたします。

Re: プラグインのアップデートに関して
(#48594) このトピック中4番目の投稿
(環境: WinXP SP3/Minefield)

手っ取り早く削除するには、
about:configでplugin.expose_full_pathをtrueにし、
about:pluginsで該当プラグインのフルパスを確認、該当dllを削除。

一通り済んだらplugin.expose_full_pathをfalseに戻す。


[注意]
上記では後々に不具合が出る可能性を否定できません。
安全確実には、「旧バージョンを削除して最新版をインストールする」のがよいと思います。

Re: プラグインのアップデートに関して
(#48596) このトピック中5番目の投稿
(環境: WinXP SP3/Firefox3.5/Thunderbird2.0)
> 手っ取り早く削除するには、
> about:configでplugin.expose_full_pathをtrueにし、
> about:pluginsで該当プラグインのフルパスを確認、該当dllを削除。
> 
> 一通り済んだらplugin.expose_full_pathをfalseに戻す。
> 
> 
> [注意]
> 上記では後々に不具合が出る可能性を否定できません。
> 安全確実には、「旧バージョンを削除して最新版をインストールする」のがよいと思います。

pal様

丁寧なご回答ありがとうございました。
次回Javaのアップデート時には(念のため、上記の方法でフルパスを確認してみようとは思います)、
Pal様のおっしゃる通り、安全確実ということで、旧バージョンを削除して最新版をインストールすることにいたします。
いろいろと本当にありがとうございました。
済!

このトピックの全ページ / [0]

返信不可


- Child Tree -